﻿@{
    Layout = null;
}

<form ng-submit="SaveTemplate()" novalidate>
    <div class="view-container">
        <div class="title-bar">
            <div class="back">
                <a class="action" onclick="window.history.back()">
                    <i class="icon-arrow-left fg-black"></i>
                </a>
            </div>
            <div class="title">
                <h1>
                    Registration email template
                </h1>
            </div>
            <div class="actions">
            </div>
            <div class="clearfix"></div>
            <hr />
        </div>

        <h4 class="margin-bottom20">You can customize the registration email here:</h4>
        <div class="mail-designer" ng-style="{'background' : Model.MailTemplate.BodyBackColor}">
            <div class="btn-container">
                <div class="toolbar transparent fg-white no-margin place-right">
                    <button type="button" ng-click="editingEmailSection = true; editingBody = true;enterEditing()"><i class="icon-pencil on-left"></i>Edit</button>
                </div>
            </div>
            <div class="content">
                <div class="head" ng-class="{removed : Model.MailTemplate.HasHeader != true}">
                    <div class="btn-container">
                        <div class="toolbar transparent fg-white no-margin">
                            <button type="button" ng-hide="Model.MailTemplate.HasHeader" ng-click="Model.MailTemplate.HasHeader = true"><i class="icon-plus-2 on-left"></i>Add</button>
                            <button type="button" ng-show="Model.MailTemplate.HasHeader" ng-click="editingEmailSection = true; editingHeader = true;enterEditing()"><i class="icon-pencil on-left"></i>Edit</button>
                            <button type="button" ng-show="Model.MailTemplate.HasHeader" ng-click="Model.MailTemplate.HasHeader = false"><i class="icon-cancel-2 on-left"></i>Delete</button>
                        </div>
                    </div>
                    <div style="text-align:center">
                        <img ng-show="Model.MailTemplate.HasLogo" class="logo" ng-src="{{getClubLogo()}}" />
                        <h1 ng-show="Model.MailTemplate.HasHeaderText"><span>{{Model.MailTemplate.HeaderText}}</span></h1>

                    </div>


                    <img class="bannerImg" ng-show="Model.MailTemplate.HeaderBackground!=''" ng-src="{{getHeaderBackground()}}" />


                </div>
                <div class="congrats-message">
                    <div class="btn-container">
                        <div class="toolbar transparent fg-white no-margin">
                            <button type="button" ng-click="editingEmailSection = true; editingCongrats = true;enterEditing()"><i class="icon-pencil on-left"></i>Edit</button>
                        </div>
                    </div>
                    @*<p class="fg-green" ng-bind="Model.MailTemplate.CongratulationMessage">Your congratulation messsage goes here.</p>*@
                    <div class="custom-message">
                        <div class="btn-container">
                            <div class="toolbar transparent fg-white no-margin">
                                <button type="button" ng-click="editingEmailSection = true; editingCongrats = true;enterEditing()"><i class="icon-pencil on-left"></i>Edit</button>
                            </div>
                        </div>
                        <p ng-bind-html="useHtmlBreaks(Model.MailTemplate.CongratulationMessage) | unsafe" ng-if="!(Model.MailTemplate.CongratulationMessage == null || Model.MailTemplate.CongratulationMessage.trim() == '')"></p>
                        <p ng-if="Model.MailTemplate.CongratulationMessage == null || Model.MailTemplate.CongratulationMessage.trim() == ''" style="opacity:.7">Your congratulation messsage goes here.</p>
                    </div>
                </div>
                <div class="order">
                </div>
                <div class="more-questions" ng-class="{removed : Model.MailTemplate.HasMoreQuestions != true}">
                    <div class="btn-container">
                        <div class="toolbar transparent fg-white no-margin">
                            <button type="button" ng-hide="Model.MailTemplate.HasMoreQuestions" ng-click="Model.MailTemplate.HasMoreQuestions = true"><i class="icon-plus-2 on-left"></i>Add</button>
                            <button type="button" ng-show="Model.MailTemplate.HasMoreQuestions" ng-click="editingEmailSection = true; editingMoreQuestions = true;enterEditing()"><i class="icon-pencil on-left"></i>Edit</button>
                            <button type="button" ng-show="Model.MailTemplate.HasMoreQuestions" ng-click="Model.MailTemplate.HasMoreQuestions = false"><i class="icon-cancel-2 on-left"></i>Delete</button>
                        </div>
                    </div>
                    <div class="info">
                        <h5>Questions about this event?</h5>
                        <div class="place-left one-third fg-orange"><span>Phone:</span></div>
                        <div class="place-left two-third"><span ng-bind="Model.MailTemplate.MoreQuestionsPhone"></span></div>
                        <div class="place-left one-third fg-orange"><span>Email:</span></div>
                        <div class="place-left two-third"><span ng-bind="Model.MailTemplate.MoreQuestionsEmail"></span></div>
                        <div class="clearfix"></div>
                    </div>
                </div>
                <div class="custom-message">
                    <div class="btn-container">
                        <div class="toolbar transparent fg-white no-margin">
                            <button type="button" ng-click="editingEmailSection = true; editingCustomMessage = true;enterEditing()"><i class="icon-pencil on-left"></i>Edit</button>
                        </div>
                    </div>
                    <p ng-bind-html="useHtmlBreaks(Model.MailTemplate.CustomMessage) | unsafe" ng-if="Model.MailTemplate.CustomMessage != null && Model.MailTemplate.CustomMessage.trim() != ''"></p>
                    <p ng-if="Model.MailTemplate.CustomMessage == null || Model.MailTemplate.CustomMessage.trim() == ''" style="opacity:.8">Your custom messsage goes here.</p>
                </div>
               
                <div class="foot" ng-class="{removed : Model.MailTemplate.HasFooter != true}">
                    <div class="btn-container">
                        <div class="toolbar transparent fg-white no-margin">
                            <button type="button" ng-hide="Model.MailTemplate.HasFooter" ng-click="Model.MailTemplate.HasFooter = true"><i class="icon-plus-2 on-left"></i>Add</button>
                            <button type="button" ng-show="Model.MailTemplate.HasFooter" ng-click="editingEmailSection = true; editingFooter = true;enterEditing()"><i class="icon-pencil on-left"></i>Edit</button>
                            <button type="button" ng-show="Model.MailTemplate.HasFooter" ng-click="Model.MailTemplate.HasFooter = false"><i class="icon-cancel-2 on-left"></i>Delete</button>
                        </div>
                    </div>
                    <div style="text-align:center">
                        <h1 ng-show="Model.MailTemplate.HasFooterText"><span>{{Model.MailTemplate.FooterText}}</span></h1>
                    </div>
                    <img class="bannerImg" ng-show="Model.MailTemplate.FooterBackground!=''" ng-src="{{getFooterBackground()}}" />
                </div>
                <div class="copyright">
                    <small>Copyright © 2015 Jumbula. All rights reserved.</small>
                    <div style="text-align:center">
                        <a href="https://www.jumbula.com" target="_blank"><img src="/Images/poweredby.png" title="powered by Jumbula" /></a>
                    </div>
                    <div class="clearfix"></div>
                </div>
            </div>
            <div ng-show="editingEmailSection" class="edit-mode">
                <div ng-show="editingHeader">
                    <div ng-include="'/Dashboard/Email/HeaderEmail'"></div>
                </div>
                <div ng-show="editingCongrats">
                    <fieldset>
                        <legend>Congratulation message</legend>
                        <div class="input-control textarea">
                            <textarea k-ng-model="Model.MailTemplate.CongratulationMessage" class="editor" kendo-editor k-tools="['fontName','bold','italic','underline','strikethrough','fontSize','justifyLeft','justifyCenter','justifyRight','justifyFull','foreColor','insertUnorderedList','insertOrderedList','indent','outdent','createLink','unlink','insertImage','cleanFormatting','backColor']"></textarea>
                        </div>
                    </fieldset>
                </div>
                <div ng-show="editingMap">
                    <fieldset>
                        <legend>Map</legend>
                        <div class="input-control checkbox" data-role="input-control">
                            <label>
                                <input ng-model="Model.MailTemplate.HasMap" type="checkbox">
                                <span class="check"></span>
                                Show map
                            </label>
                        </div>
                        <div ng-show="Model.MailTemplate.HasMap">
                            <div class="input-control radio default-style" data-role="input-control">
                                <label>
                                    <input ng-model="Model.MailTemplate.UseProgramLocation" ng-value="true" name="Model.MailTemplate.UseProgramLocation" type="radio">
                                    <span class="check"></span>
                                    Set program location automatically <span jb-popover class="popover-link" role="button" data-toggle="popover" data-trigger="focus" data-container="body" rel="popover" data-placement="top" data-content="This is a help text"></span>
                                </label>
                            </div>
                            <div class="input-control radio default-style" data-role="input-control">
                                <label>
                                    <input ng-model="Model.MailTemplate.UseProgramLocation" ng-value="false" name="Model.MailTemplate.UseProgramLocation" type="radio">
                                    <span class="check"></span>
                                    Show a specific location
                                </label>
                            </div>
                        </div>

                        <div ng-show="Model.MailTemplate.HasMap">
                            <div ng-show="!Model.MailTemplate.UseProgramLocation">
                                <label>Map location</label>
                                <div class="input-control select" data-role="input-control">
                                    <select ng-model="Model.MailTemplate.MapLocation" ng-options="loc.AddressPoint as loc.Address for loc in Model.MailTemplate.Locations"></select>
                                </div>
                            </div>

                            <label>Zoom level</label>
                            <div class="input-control select" data-role="input-control">
                                <select ng-model="Model.MailTemplate.MapZoom">
                                    <option value="5">5</option>
                                    <option value="6">6</option>
                                    <option value="7">7</option>
                                    <option value="8">8</option>
                                    <option value="9">9</option>
                                    <option value="10">10</option>
                                    <option value="11">11</option>
                                    <option value="12">12</option>
                                    <option value="13">13</option>
                                    <option value="14">14</option>
                                    <option value="15">15</option>
                                    <option value="16">16</option>
                                    <option value="17">17</option>
                                </select>
                            </div>
                        </div>

                    </fieldset>
                </div>
                <div ng-show="editingCustomMessage">
                    <fieldset>
                        <legend>Custom message</legend>
                        <div class="input-control textarea">
                            <textarea k-ng-model="Model.MailTemplate.CustomMessage" class="editor" kendo-editor k-tools="['fontName','bold','italic','underline','strikethrough','fontSize','justifyLeft','justifyCenter','justifyRight','justifyFull','foreColor','insertUnorderedList','insertOrderedList','indent','outdent','createLink','unlink','insertImage','cleanFormatting','backColor']"></textarea>
                        </div>
                    </fieldset>
                </div>
                <div ng-show="editingMoreQuestions">
                    <fieldset>
                        <legend>Contact info</legend>
                        <div class="input-control checkbox" data-role="input-control">
                            <label>
                                <input ng-model="Model.MailTemplate.HasMoreQuestions" type="checkbox">
                                <span class="check"></span>
                                Show Contact info
                            </label>
                        </div>
                        <label>Phone</label>
                        <div class="input-control text" data-role="input-control">
                            <input ng-model="Model.MailTemplate.MoreQuestionsPhone" type="text">
                        </div>
                        <label>Email</label>
                        <div class="input-control text" data-role="input-control">
                            <input ng-model="Model.MailTemplate.MoreQuestionsEmail" type="text">
                        </div>
                    </fieldset>
                </div>
                <div ng-show="editingFooter">
                    <div ng-include="'/Dashboard/Email/FooterEmail'"></div>
                </div>
                <div ng-show="editingBody">
                    <fieldset>
                        <legend>Body</legend>
                        <label>Background color</label>
                        <div ng-click="openColorPicker($event)">
                            <input kendo-color-picker k-tile-size="{width: 27,height: 27}" k-columns="10" k-palette="[
                                   '#ffffff' , '#000000' , '#b4dcfa' , '#212745' , '#4e67c8' , '#5eccf3' , '#a7ea52' , '#5dceaf' , '#ff8021' , '#f14124' ,
                                   '#f2f2f2' , '#7f7f7f' , '#8bc9f7' , '#c7cce4' , '#dbe0f4' , '#def4fc' , '#edfadc' , '#def5ef' , '#ffe5d2' , '#fcd9d3' ,
                                   '#d8d8d8' , '#595959' , '#4facf3' , '#909aca' , '#b8c2e9' , '#beeafa' , '#dbf6b9' , '#beebdf' , '#ffcca6' , '#f9b3a7' ,
                                   '#bfbfbf' , '#3f3f3f' , '#0d78c9' , '#5967af' , '#94a3de' , '#9ee0f7' , '#caf297' , '#9de1cf' , '#ffb279' , '#f68d7b' ,
                                   '#a5a5a5' , '#262626' , '#063c64' , '#181d33' , '#31479f' , '#11b2eb' , '#81d319' , '#34ac8b' , '#d85c00' , '#c3260c' ,
                                   '#7f7f7f' , '#0c0c0c' , '#021828' , '#101322' , '#202f6a' , '#0b769c' , '#568c11' , '#22725c' , '#903d00' , '#821908'
                                   ]" ng-model="Model.MailTemplate.BodyBackColor" type="color">
                        </div>
                    </fieldset>
                </div>
                <button type="button" class="success place-right" ng-click="saveEditing(positionBanner,typeBannerHeaderValue,typeBannerFooterValue)">Save</button>
                <button type="button" class="place-right" ng-click="cancelEditing();">Cancel</button>
            </div>
            <div class="margin-bottom20 clearfix"></div>
            <div class="margin-bottom20 clearfix"></div>
            @*<div style="background: #d9d9d9;position: absolute;bottom: 0;right: 0;left: 0;padding: 5px">
                    <div class="place-left two-third">
                        <p style="font-size: 11px; margin: 0; padding-top: 3px;">
                            <strong>NOTE:</strong> You can mention recipients or add registration buttons in mail using editor toolbar.
                            <!--You can mention recipients in mail by their firstname / lastname.<br/>(e.g. Dear [FIRSTNAME] [LASTNAME],) You can add these tags using toolbar.-->
                        </p>
                    </div>
                    <div class="place-left one-third">
                        <button type="button" class="button place-right"><i class="icon-eye-2 on-left"></i>Preview</button>
                        <button type="button" ng-hide="MC.stateParams.templateId || MC.stateParams.templateId == ''" class="button place-right" ng-click="SaveAsTemplate()"><i class="icon-floppy on-left"></i>Save as template</button>
                    </div>
                    <div class="clearfix"></div>
                </div>*@
        </div>
        <hr />
        <a class="place-left button link large" onclick="window.history.back()">Cancel</a>
        <button type="submit" class="success place-right large">Save</button>
        <div class="clearfix"></div>
    </div>
</form>
